{
  lib,
  fetchgit,
  makeWrapper,
  nodejs,
  buildNpmPackage,
}:

buildNpmPackage rec {
  pname = "out-of-your-element";
  version = "0";
  src = fetchgit {
    url = "https://gitdab.com/cadence/out-of-your-element.git";
    rev = "bf01db13d66f4251dda4f20f3ef16a44f593d4ab";
    sha256 = "/Q21Q4lhFXQOdGBhLBDfHnk/9WFSKjLiSzs96ugEcLU=";
  };
  npmDepsHash = "sha256-1STam+Sjy2MQcK5TmRacoxmgErd2sNqw0yIFX2M+iZk=";
  dontNpmBuild = true;

  nativeBuildInputs = [ makeWrapper ];

  installPhase = ''
    runHook preInstall

    mkdir -p $out/share
    cp -a . $out/share/ooye
    makeWrapper ${nodejs}/bin/node $out/bin/matrix-ooye --add-flags $out/share/ooye/start.js
    makeWrapper ${nodejs}/bin/node $out/bin/matrix-ooye-addbot --add-flags $out/share/ooye/addbot.js

    runHook postInstall
  '';

  meta = with lib; {
    description = "A Matrix Discord bridge";
    homepage = "https://gitdab.com/cadence/out-of-your-element";
    longDescription = ''
      Cool.
    '';
    license = licenses.gpl3;
    #maintainers = with maintainers; [ RorySys ];
    mainProgram = "matrix-ooye";
  };
}
